## age-plugin-tkey-0.0.6-1.src.tar.gz

=== Makefile ===

.PHONY: age-plugin-tkey
age-plugin-tkey: check-deviceapp-hashes
	go build ./cmd/age-plugin-tkey

# TODO: probably something like this for release builds of tagged version:
#     go build -trimpath -buildvcs=false -ldflags="-X=main.version=$version"
# and CGO_ENABLED=0?

.PHONY: install
install:
	cp -af age-plugin-tkey /usr/local/bin/

.PHONY: check-deviceapp-hashes
check-deviceapp-hashes:
	(cd internal/tkey && sha512sum -c -w --ignore-missing x25519-hashes.sha512)

.PHONY: clean
clean:
	rm -f age-plugin-tkey


.PHONY: build-in-container
build-in-container:
	podman image exists tkey-apps-builder || make build-image
	./build-in-container.sh tkey-apps-builder
.PHONY: build-image
build-image:
	#--pull=always --no-cache
	podman build -t localhost/tkey-apps-builder -f Containerfile


golangci_version=$(shell grep -A2 "uses: golangci" .github/workflows/ci.yaml | grep -o -m1 "v[0-9]\+\.[.0-9]\+")
golangci_cachedir=$(HOME)/.cache/golangci-lint/$(golangci_version)
.PHONY: lint
lint:
	mkdir -p $(golangci_cachedir)
	podman run --rm -it \
		-v $$(pwd):/src -w /src \
		-v $(golangci_cachedir):/root/.cache \
		docker.io/golangci/golangci-lint:$(golangci_version)-alpine \
		golangci-lint run

=== PKGBUILD ===
# Maintainer: Caleb Maclennan <caleb@alerque.com>

pkgname=age-plugin-tkey
pkgver=0.0.6
pkgrel=1
pkgdesc='Tillitis TKey plugin for age'
arch=(x86_64)
url="https://github.com/quite/$pkgname"
license=(GPL2)
depends=(glibc)
makedepends=(go)
optdepends=('age: for use with age'
            'rage-encryption: for use with rage')
_archive="$pkgname-$pkgver"
source=("$url/archive/v$pkgver/$_archive.tar.gz")
sha256sums=('d37af3cfcaa2513b7c8f2f8fe66e81c70e15ed3afcd3153fd5196b1d4851a9d9')

build() {
	cd "$_archive"
	go build \
		-trimpath \
		-buildmode=pie \
		-mod=readonly \
		-modcacherw \
		-ldflags "-linkmode external -extldflags \"$LDFLAGS\"" \
		-o . ./cmd/$pkgname
}

check() {
	cd "$_archive"
	go test ./...
}

package() {
	cd "$_archive"
	install -Dm0755 -t "$pkgdir/usr/bin/" "$pkgname"
	install -Dm644 -t "$pkgdir/usr/share/licenses/$pkgname/" LICENSE
}
